Subject: Re: bug#48042: 26.3; Macros don't work with french-postfix input method

From: Gregory Heytings <[email-masked]>
Date: Fri, 14 May 2021 17:07:41 +0000

>> If you are asking how I'd like to proceed with this bug, then, as I 
>> wrote in another message, I'd like us to have a full understanding of 
>> why binding inhibit--record-char didn't work well enough in the case in 
>> point.  It did solve some of the problem we had before that change, but 
>> didn't solve all of it -- why?
>
> BTW, another possible way to attack the problem is to arrange for the 
> code that pushes to `unread-command-events` to use events of the form 
> `(t . EVENT)` so as to tell explicitly that we don't want them recorded.
>

I guess you mean '(no-record . EVENT)'?  The docstring indicates that '(t 
. EVENT)' means that EVENT is added to 'this-command-keys'.